Frames that are not considered for LRO should not be counted in LRO stats.
ClosedPublic

Authored by np on Apr 19 2017, 11:28 PM.

Details

Summary

The code will currently count any (even non-TCP) frame as queued/flushed
in the LRO stats if IFCAP_LRO is disabled or csum_flags is 0. It would
have been cleaner for tcp_lro_queue_mbuf to be able to return
TCP_LRO_CANNOT and let the caller figure out what to do. But I don't
want to touch the KPI and all the drivers so the proposed change fixes
the stats only.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
np created this revision.Apr 19 2017, 11:28 PM
gnn accepted this revision.Apr 22 2017, 4:30 PM
This revision is now accepted and ready to land.Apr 22 2017, 4:30 PM
hselasky accepted this revision.Apr 24 2017, 9:20 PM
hselasky added subscribers: gallatin, hselasky.

Might want to ask @gallatin for a review aswell.

gallatin accepted this revision.Apr 24 2017, 10:22 PM
This revision was automatically updated to reflect the committed changes.